## tuxmath 0.0.20050316

=== Makefile ===
# Makefile for "tuxmath"
# (Hand-coded)

# Bill Kendrick
# bill@newbreedsoftware.com
# http://www.newbreedsoftware.com/tuxmath/

# 2001.Aug.26 - 2005.Jan.03


CFLAGS=-Wall -g $(SDL_CFLAGS) -DDATA_PREFIX=\"$(DATA_PREFIX)\" -DDEBUG \
	-DVERSION=\"$(VERSION)\" -D$(SOUND)SOUND

SDL_CFLAGS=$(shell sdl-config --cflags)
SDL_LIBS=$(shell sdl-config --libs)

LIBS=$(SDL_LIBS) $(MIXERLIB) -lSDL_image
MIXERLIB=-lSDL_mixer

DATA_PREFIX=/usr/share/tuxmath/
BIN_PREFIX=/usr/local/bin/

# There isn't always a root group on every unix
OWNER=$(shell if `groups root | grep root > /dev/null` ; then echo root:root ; else echo root:wheel ; fi)


VERSION=2005.01.03

all:	tuxmath

nosound:
	make tuxmath SOUND=NO MIXERLIB=

install:
	@echo "COPYING BINARY TO $(BIN_PREFIX)"
	strip tuxmath
	cp tuxmath $(BIN_PREFIX)
	chown $(OWNER) $(BIN_PREFIX)/tuxmath
	chmod 0755 $(BIN_PREFIX)/tuxmath
	@echo "COPYING DATA FILES TO $(DATA_PREFIX)"
	mkdir -p $(DATA_PREFIX)
	cp -r data/* $(DATA_PREFIX)
	chown -R $(OWNER) $(DATA_PREFIX)
	chmod a+Xr $(DATA_PREFIX)
	chmod a-w $(DATA_PREFIX)

uninstall:
	@echo "REMOVING TUX MATH"
	-rm $(BIN_PREFIX)/tuxmath
	-rm -r $(DATA_PREFIX)

clean:
	-rm tuxmath
	-rm obj/*.o
	-rmdir obj


tuxmath:	obj/tuxmath.o obj/setup.o obj/title.o obj/game.o \
		obj/options.o obj/credits.o obj/playsound.o
	@echo "LINKING!"
	$(CC) $(CFLAGS) $^ -o tuxmath $(LIBS)


obj:
	mkdir obj

obj/tuxmath.o:	src/tuxmath.c src/images.h src/sounds.h src/setup.h \
		src/title.h src/game.h src/options.h src/credits.h \
		src/playsound.h
	@echo "BUILDING tuxmath.o"
	-mkdir obj
	$(CC) $(CFLAGS) src/tuxmath.c -c -o obj/tuxmath.o

obj/setup.o:	src/setup.c src/setup.h src/sounds.h src/images.h src/game.h
	@echo "BUILDING setup.o"
	-mkdir obj
	$(CC) $(CFLAGS) src/setup.c -c -o obj/setup.o

obj/title.o:	src/title.c src/title.h src/setup.h src/sounds.h src/images.h \
		src/playsound.h
	@echo "BUILDING title.o"
	-mkdir obj
	$(CC) $(CFLAGS) src/title.c -c -o obj/title.o

obj/game.o:	src/game.c src/game.h src/setup.h src/sounds.h src/images.h \
		src/playsound.h
	@echo "BUILDING game.o"
	-mkdir obj
	$(CC) $(CFLAGS) src/game.c -c -o obj/game.o

obj/options.o:	src/options.c src/options.h src/images.h src/setup.h \
		src/sounds.h src/playsound.h
	@echo "BUILDING options.o"
	-mkdir obj
	$(CC) $(CFLAGS) src/options.c -c -o obj/options.o

obj/credits.o:	src/credits.c src/credits.h src/setup.h src/sounds.h \
		src/images.h
	@echo "BUILDING credits.o"
	-mkdir obj
	$(CC) $(CFLAGS) src/credits.c -c -o obj/credits.o

obj/playsound.o:	src/playsound.c src/playsound.h src/setup.h \
		src/sounds.h
	@echo "BUILDING playsound.o"
	-mkdir obj
	$(CC) $(CFLAGS) src/playsound.c -c -o obj/playsound.o

## tuxmath 1.7.2

=== CMakeLists.txt ===
# This file implements a build for TuxMath using CMake
# License information can be found in doc/COPYING.txt
#
# Copyright 2008 by Timothy E. Holy
#
# This was based on many examples, but a particular debt is owed to
# Peter K�mmel of the LyX project.

project(TuxMath)

set(TUXMATH_VERSION "1.7.1")
set(TUXMATHADMIN_VERSION "0.1.1")
message("Building TuxMath version ${TUXMATH_VERSION}")

## Setting up CMake itself
cmake_minimum_required(VERSION 2.4)
set(CMAKE_MODULE_PATH "${TuxMath_SOURCE_DIR}/cmake-modules")
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

#message("CMP: ${CMAKE_MODULE_PATH}")

## Choose a debug build set
set(CMAKE_BUILD_TYPE Debug)

## Decide on our build-type: installed or relocatable
## Linux (& Windows?) would be installed, Mac relocatable
## Someday we might supply a Linux relocatable package; this would be
## specified by executing cmake -DTUXMATH_BUILD_TYPE=relocatable
if (NOT TUXMATH_BUILD_TYPE)
  if (APPLE)
    set(TUXMATH_BUILD_TYPE relocatable)
  else (APPLE)
    set(TUXMATH_BUILD_TYPE installed)
  endif (APPLE)
endif (NOT TUXMATH_BUILD_TYPE)
if (TUXMATH_BUILD_TYPE MATCHES installed)
  message("The installation location is ${CMAKE_INSTALL_PREFIX}")
endif (TUXMATH_BUILD_TYPE MATCHES installed)

## Define the extra paths
#set (DATA_TUXMATH ${tuxmath_SOURCE_DIR}/data)
#set (DOC_TUXMATH ${tuxmath_SOURCE_DIR}/doc)
#set (PO_TUXMATH ${tuxmath_SOURCE_DIR}/po)

## Set up OS-specific path & build information
if (APPLE)
  set(TUXMATH_MACOSX_BUNDLE_NAME tuxmath)
  set(MACOSX_BUNDLE_BUNDLE_VERSION ${TUXMATH_VERSION})
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING ${TUXMATH_VERSION})
  set(MACOSX_BUNDLE_LONG_VERSION_STRING ${TUXMATH_VERSION})
  set(MACOSX_BUNDLE_ICON_FILE tuxmath.icns)
  set(TUXMATH_DATA_PREFIX ${TUXMATH_MACOSX_BUNDLE_NAME}.app/Contents/Resources)
  set(LOCALE_DIR ${TUXMATH_MACOSX_BUNDLE_NAME}.app/Contents/Resources/locale)
  # OS X SDL Framework does not have a pre-built libSDLmain, so we
  # instead include SDLmain.m as a source file
  set (TUXMATH_EXTRA_INCLUDE ${TuxMath_SOURCE_DIR}/macosx)
  set (TUXMATH_EXTRA_SRC ${TuxMath_SOURCE_DIR}/macosx/SDLMain.m)
elseif (UNIX)
  # A non-apple Unix (Linux, Solaris, etc.)
  # This is where one would test for installed/relocatable, if that
  # choice is implemented.  For now we just provide installed.
  set (TUXMATH_DATA_PREFIX ${CMAKE_INSTALL_PREFIX}/share/tuxmath)
  set (LOCALE_DIR ${CMAKE_INSTALL_PREFIX}/share/locale)
endif (APPLE)
#message("TDP ${TUXMATH_DATA_PREFIX}")

## OS X
# Build universal binaries on OSX
set(CMAKE_OSX_ARCHITECTURES ppc i386)

## Decide on whether we're going to build with internationalization
# We can't build with internationalization unless the build computer
# supports msgfmt
find_package(MSGFMT)
if (NOT DEFINED ENABLE_NLS OR NOT MSGFMT_FOUND)
  # You can disable NLS with -DENABLE_NLS=false
  set(ENABLE_NLS ${MSGFMT_FOUND})
endif (NOT DEFINED ENABLE_NLS OR NOT MSGFMT_FOUND)
if (NOT ENABLE_NLS)
  message("Internationalization disabled")
endif (NOT ENABLE_NLS)
# Even if the build computer supports gettext/msgfmt, we may not be
# able to guarantee that the computers on which it is installed provides
# runtime support for gettext.  So we may have to build gettext.
if (ENABLE_NLS)
  if (APPLE)
    set(TUXMATH_BUILD_INTL true)
  endif (APPLE)
else (ENABLE_NLS)
  set(TUXMATH_BUILD_INTL false)  # No point in building intl if no NLS
endif (ENABLE_NLS)
message("ENABLE_NLS ${ENABLE_NLS}")
set(HAVE_GETTEXT ENABLE_NLS)
# Check to see if we have SDL_Pango support for the right-to-left languages
if (ENABLE_NLS)
  find_package(SDL_Pango)
  set(SDL_Pango ${SDLPANGO_FOUND})  # For the config.h file
endif (ENABLE_NLS)

# Line wrapping
set(TUXMATH_BUILD_LINEBREAK true)
set(LINEBREAK true)

## Don't think we need SDL_gfx anymore:
##FIND_PACKAGE(SDL_gfx REQUIRED)

## Run configure checks
if (TUXMATH_BUILD_INTL)
  include(ConfigureChecksIntl)
endif (TUXMATH_BUILD_INTL)
include(ConfigureChecks)

## Add subdirectories
if (TUXMATH_BUILD_INTL)
  set(INTL_BINARY_DIR ${CMAKE_BINARY_DIR}/intl)
  set(INTL_SOURCE_DIR ${CMAKE_SOURCE_DIR}/intl)
  set(TOP_SRC_DIR ${CMAKE_BINARY_DIR})
  set(PREFIX ${CMAKE_BINARY_DIR})
  add_subdirectory(intl)
endif (TUXMATH_BUILD_INTL)
if (TUXMATH_BUILD_LINEBREAK)
  set(LINEBREAK_BINARY_DIR ${CMAKE_BINARY_DIR}/linebreak)
  set(LINEBREAK_SOURCE_DIR ${CMAKE_SOURCE_DIR}/linebreak)
  set(TOP_SRC_DIR ${CMAKE_BINARY_DIR})
  set(PREFIX ${CMAKE_BINARY_DIR})
  add_subdirectory(linebreak)
endif (TUXMATH_BUILD_LINEBREAK)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(doc)
if (ENABLE_NLS)
  set(LOCALE_INSTALL_DIR ${CMAKE_BINARY_DIR}/src/${LOCALE_DIR})
  add_subdirectory(po)
endif (ENABLE_NLS)

#message("TMBD ${TuxMath_BINARY_DIR}")
#message("TMBN ${TUXMATH_MACOSX_BUNDLE_NAME}")

if (APPLE)
   add_subdirectory(macosx)
endif (APPLE)

## tuxmath 1.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 message("Building TuxMath version ${TUXMATH_VERSION}")
 
 ## Setting up CMake itself
-cmake_minimum_required(VERSION 2.4)
+cmake_minimum_required(VERSION 2.6)
 set(CMAKE_MODULE_PATH "${TuxMath_SOURCE_DIR}/cmake-modules")
 set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)
 
@@ -104,6 +104,22 @@
 ## Don't think we need SDL_gfx anymore:
 ##FIND_PACKAGE(SDL_gfx REQUIRED)
 
+# Check for libRSVG for SVG support
+
+include(FindPkgConfig OPTIONAL)
+
+if(PKG_CONFIG_FOUND)
+  include(FindPkgConfig)
+  PKG_CHECK_MODULES(RSVG librsvg-2.0)
+  if(RSVG_FOUND)
+    PKG_CHECK_MODULES(CAIRO cairo)
+    if(CAIRO_FOUND)
+      set(HAVE_RSVG 1)  # For the config.h file
+    endif(CAIRO_FOUND)
+  endif(RSVG_FOUND)
+endif(PKG_CONFIG_FOUND)
+
+
 ## Run configure checks
 if (TUXMATH_BUILD_INTL)
   include(ConfigureChecksIntl)

## tuxmath 2.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,15 @@
 # This was based on many examples, but a particular debt is owed to
 # Peter K�mmel of the LyX project.
 
+# NOTE - the CMake build basically works, but is not completely 
+# up-to-date and does not check for as many libs, headers,
+# programs, and functions.  The Autotools build is the basis
+# for official releases and is more consistently maintained.
+
 project(TuxMath)
 
-set(TUXMATH_VERSION "1.7.1")
+
+set(TUXMATH_VERSION "2.0.3")
 set(TUXMATHADMIN_VERSION "0.1.1")
 message("Building TuxMath version ${TUXMATH_VERSION}")
 
@@ -19,20 +25,23 @@
 
 #message("CMP: ${CMAKE_MODULE_PATH}")
 
+include(T4K_Sugar)
+
 ## Choose a debug build set
-set(CMAKE_BUILD_TYPE Debug)
+t4k_gentle_set(CMAKE_BUILD_TYPE Debug)
 
 ## Decide on our build-type: installed or relocatable
 ## Linux (& Windows?) would be installed, Mac relocatable
 ## Someday we might supply a Linux relocatable package; this would be
 ## specified by executing cmake -DTUXMATH_BUILD_TYPE=relocatable
-if (NOT TUXMATH_BUILD_TYPE)
-  if (APPLE)
-    set(TUXMATH_BUILD_TYPE relocatable)
-  else (APPLE)
-    set(TUXMATH_BUILD_TYPE installed)
-  endif (APPLE)
-endif (NOT TUXMATH_BUILD_TYPE)
+if (APPLE)
+  set(TUXMATH_BUILD_TYPE relocatable CACHE STRING "Installed or relocatable")
+else (APPLE)
+  set(TUXMATH_BUILD_TYPE installed CACHE STRING "Installed or relocatable")
+endif (APPLE)
+
+message("TBT IS ${TUXMATH_BUILD_TYPE}")
+
 if (TUXMATH_BUILD_TYPE MATCHES installed)
   message("The installation location is ${CMAKE_INSTALL_PREFIX}")
 endif (TUXMATH_BUILD_TYPE MATCHES installed)
@@ -51,22 +60,32 @@
   set(MACOSX_BUNDLE_ICON_FILE tuxmath.icns)
   set(TUXMATH_DATA_PREFIX ${TUXMATH_MACOSX_BUNDLE_NAME}.app/Contents/Resources)
   set(LOCALE_DIR ${TUXMATH_MACOSX_BUNDLE_NAME}.app/Contents/Resources/locale)
+  set (TUXMATH_EXTRA_INCLUDE ${TuxMath_SOURCE_DIR}/macosx)
   # OS X SDL Framework does not have a pre-built libSDLmain, so we
   # instead include SDLmain.m as a source file
-  set (TUXMATH_EXTRA_INCLUDE ${TuxMath_SOURCE_DIR}/macosx)
   set (TUXMATH_EXTRA_SRC ${TuxMath_SOURCE_DIR}/macosx/SDLMain.m)
+  # Build universal binaries 
+  set(CMAKE_OSX_ARCHITECTURES ppc i386)    
 elseif (UNIX)
   # A non-apple Unix (Linux, Solaris, etc.)
   # This is where one would test for installed/relocatable, if that
   # choice is implemented.  For now we just provide installed.
   set (TUXMATH_DATA_PREFIX ${CMAKE_INSTALL_PREFIX}/share/tuxmath)
   set (LOCALE_DIR ${CMAKE_INSTALL_PREFIX}/share/locale)
+elseif (MINGW)
+  set (BUILD_MINGW32 TRUE)
+  t4k_include_definition(BUILD_MINGW32)
+  add_definitions(-DPROGRAM_NAME="TuxMath")
+  if (CMAKE_BUILD_TYPE MATCHES Debug)
+    set (TUXMATH_DATA_PREFIX "${CMAKE_SOURCE_DIR}/data" CACHE STRING "Data files")
+  elseif (TUXMATH_BUILD_TYPE MATCHES relocatable)
+    set (TUXMATH_DATA_PREFIX "./data" CACHE STRING "Data files")
+  else() # installed
+    string( REPLACE "\\" "/" TUXMATH_DATA_PREFIX "$ENV{USERPROFILE}/Tux4Kids")
+  endif()
 endif (APPLE)
 #message("TDP ${TUXMATH_DATA_PREFIX}")
 
-## OS X
-# Build universal binaries on OSX
-set(CMAKE_OSX_ARCHITECTURES ppc i386)
 
 ## Decide on whether we're going to build with internationalization
 # We can't build with internationalization unless the build computer
@@ -97,9 +116,6 @@
   set(SDL_Pango ${SDLPANGO_FOUND})  # For the config.h file
 endif (ENABLE_NLS)
 
-# Line wrapping
-set(TUXMATH_BUILD_LINEBREAK true)
-set(LINEBREAK true)
 
 ## Don't think we need SDL_gfx anymore:
 ##FIND_PACKAGE(SDL_gfx REQUIRED)
@@ -134,13 +150,6 @@
   set(PREFIX ${CMAKE_BINARY_DIR})
   add_subdirectory(intl)
 endif (TUXMATH_BUILD_INTL)
-if (TUXMATH_BUILD_LINEBREAK)
-  set(LINEBREAK_BINARY_DIR ${CMAKE_BINARY_DIR}/linebreak)
-  set(LINEBREAK_SOURCE_DIR ${CMAKE_SOURCE_DIR}/linebreak)
-  set(TOP_SRC_DIR ${CMAKE_BINARY_DIR})
-  set(PREFIX ${CMAKE_BINARY_DIR})
-  add_subdirectory(linebreak)
-endif (TUXMATH_BUILD_LINEBREAK)
 add_subdirectory(src)
 add_subdirectory(data)
 add_subdirectory(doc)
@@ -149,7 +158,7 @@
   add_subdirectory(po)
 endif (ENABLE_NLS)
 
-#message("TMBD ${TuxMath_BINARY_DIR}")
+message("TMBD ${TuxMath_BINARY_DIR}")
 #message("TMBN ${TUXMATH_MACOSX_BUNDLE_NAME}")
 
 if (APPLE)

=== data/CMakeLists.txt ===
# The information in the data directory has to be placed in a location
# that tuxmath can find

message("Build type is ${TUXMATH_BUILD_TYPE}")

if (WIN32)
  if (TUXMATH_BUILD_TYPE MATCHES relocatable)
    set(DESTDIR "${CMAKE_INSTALL_PREFIX}/${TUXMATH_DATA_PREFIX}")
  else (TUXMATH_BUILD_TYPE MATCHES relocatable)
    set (DESTDIR ${TUXMATH_DATA_PREFIX})
  endif (TUXMATH_BUILD_TYPE MATCHES relocatable)
else(WIN32)
  if (APPLE)
    # The MACOSX_PACKAGE_LOCATION source file property doesn't seem to
    # work, so just do this by an explicit install command.
    set (DESTDIR "${TuxMath_BINARY_DIR}/src/${TUXMATH_DATA_PREFIX}")
    # Install the icon file in the proper location
    install (FILES images/icons/tuxmath.icns
      DESTINATION ${DESTDIR})
  else (APPLE)
    # This sets it relative to the install location (usually /usr/local/)
    set (DESTDIR "${TUXMATH_DATA_PREFIX}")
  endif (APPLE)
endif (WIN32)

message("Installing data to ${DESTDIR}")

install (DIRECTORY .
  DESTINATION ${DESTDIR}
  PATTERN Makefile* EXCLUDE
  PATTERN .svn EXCLUDE
  PATTERN CMakeLists.txt EXCLUDE
  PATTERN *~ EXCLUDE)

=== doc/CMakeLists.txt ===
# Install the documentation

if (UNIX)
  if (APPLE)
    # The MACOSX_PACKAGE_LOCATION source file property doesn't seem to
    # work, so just do this by an explicit install command.
    set (DESTDIR "${TuxMath_BINARY_DIR}/src/${TUXMATH_DATA_PREFIX}/doc")
  else (APPLE)
    # This sets it relative to the install location (usually /usr/local/)
    set (DESTDIR "doc/tuxmath")
  endif (APPLE)
  install (DIRECTORY .
    DESTINATION ${DESTDIR}
    PATTERN Makefile* EXCLUDE
    PATTERN .svn EXCLUDE
    PATTERN CMakeLists.txt EXCLUDE
    PATTERN *~ EXCLUDE)
endif (UNIX)

=== po/CMakeLists.txt ===
# The following lists the translations that require SDL_Pango to
# display properly; if we don't have SDL_Pango support, the text is
# blank, which is worse than displaying the English. So if we don't
# have Pango, we want to exclude those translations.
set(TUXMATH_PO_REQUIRES_PANGO
  ar.po
  he.po
  zh*.po
  ru.po
  ja.po
)

# Some translations may be so complete that they should be excluded
# for now. List them here.
set (TUXMATH_EXCLUDE_PO
  fi.po
)

file (GLOB PO_FILES *.po)
file (GLOB PANGO_FILES ${TUXMATH_PO_REQUIRES_PANGO})
file (GLOB EXCLUDE_FILES ${TUXMATH_EXCLUDE_PO})

list(REMOVE_ITEM PO_FILES ${EXCLUDE_FILES})
if(NOT SDLPANGO_FOUND)
  list(REMOVE_ITEM PO_FILES ${PANGO_FILES})
endif(NOT SDLPANGO_FOUND)

add_translations (tuxmath ${PO_FILES})

=== src/CMakeLists.txt ===
#The following isn't necessary because of the SDL workaround
#cmake_minimum_required(VERSION 2.4.7 FATAL_ERROR)

## Libraries
find_package(SDL REQUIRED)
find_package(SDL_image REQUIRED)
find_package(SDL_mixer REQUIRED)
find_package(SDL_gfx)
find_package(SDL_net)
find_package(Tux4Kids-common)

if (NOT SDLGFX_FOUND)
  message("Adding rotozoom")
  set(TUXMATH_EXTRA_SRC ${TUXMATH_EXTRA_SRC} SDL_rotozoom.c)
endif (NOT SDLGFX_FOUND)

if (T4KCOMMON_FOUND)
  set(HAVE_LIBT4K_COMMON 1)
endif(T4KCOMMON_FOUND)

if (SDLNET_FOUND)
  set(HAVE_LIBSDL_NET 1)
  list(APPEND TUXMATH_EXTRA_SRC server.c network.c)
endif (SDLNET_FOUND)

## Define the source files used for each executable
# tuxmath
set(SOURCES_TUXMATH
  audio.c
  credits.c
  factoroids.c
  fileops.c
  fileops_media.c
  game.c
  menu.c
  menu_lan.c
  highscore.c
  lessons.c
  mathcards.c
  options.c
  setup.c
  titlescreen.c
  multiplayer.c
  campaign.c
  tuxmath.c
  ${TUXMATH_EXTRA_SRC}
  )

message("${SOURCES_TUXMATH}")

# tuxmathadmin
set(SOURCES_TUXMATHADMIN
  tuxmathadmin.c
  )

if (NOT SDL_FOUND)
  # Workaround for REQUIRED flag not working with cmake < 2.4.7.
  # Should put other libraries in, too.
  message(FATAL_ERROR "SDL not found!")
endif (NOT SDL_FOUND)

## Include files
if (NOT BUILD_INTL)
  # Generate the config.h file
  configure_file(${TuxMath_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
endif (NOT BUILD_INTL)
check_include_file(${CMAKE_CURRENT_BINARY_DIR}/config.h HAVE_CONFIG_H)

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR} 
  ${SDL_INCLUDE_DIR} 
  ${SDLIMAGE_INCLUDE_DIR} 
  ${SDLMIXER_INCLUDE_DIR} 
  ${SDLNET_INCLUDE_DIR} 
  ${T4KCOMMON_INCLUDE_DIR}
  ${TUXMATH_EXTRA_INCLUDES} 
  ${INTL_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/src
  )
if (SDLGFX_FOUND)  
  include_directories(${SDLGFX_INCLUDE_DIR})
endif(SDLGFX_FOUND)

if (TUXMATH_BUILD_INTL)
  link_directories(${INTL_BINARY_DIR})
endif(TUXMATH_BUILD_INTL)


## Define the executables
add_executable (
  tuxmath
  MACOSX_BUNDLE
  WIN32
  ${SOURCES_TUXMATH}
  )

add_executable (
  tuxmathadmin
  ${SOURCES_TUXMATHADMIN}
  )

# getting rid of semicolons
set(_rsvg_cflags "")
foreach(f ${RSVG_CFLAGS})
  set(_rsvg_cflags "${_rsvg_cflags} ${f}")
endforeach(f)

set(_cairo_cflags "")
foreach(f ${CAIRO_CFLAGS})
  set(_cairo_cflags "${_cairo_cflags} ${f}")
endforeach(f)

set(_rsvg_ldflags "")
foreach(f ${RSVG_LDFLAGS})
  set(_rsvg_ldflags "${_rsvg_ldflags} ${f}")
endforeach(f)

set(_cairo_ldflags "")
foreach(f ${CAIRO_LDFLAGS})
  set(_cairo_ldflags "${_cairo_ldflags} ${f}")
endforeach(f)

set_target_properties (
  tuxmath
  PROPERTIES COMPILE_FLAGS
  "-DDATA_PREFIX=\\\"${TUXMATH_DATA_PREFIX}\\\" -DVERSION=\\\"${TUXMATH_VERSION}\\\" -DLOCALEDIR=\\\"${LOCALE_DIR}\\\" -DPACKAGE=\\\"tuxmath\\\" ${_rsvg_cflags} ${_cairo_cflags}"
  LINK_FLAGS "${_rsvg_ldflags} ${_cairo_ldflags}"
  )

target_link_libraries (tuxmath
  ${SDL_LIBRARY}
  ${SDLIMAGE_LIBRARY}
  ${SDLMIXER_LIBRARY}
  ${SDLNET_LIBRARY}
  )

if (SDLGFX_FOUND)
   target_link_libraries (tuxmath
   ${SDLGFX_LIBRARY}
   )
endif (SDLGFX_FOUND)

if (T4KCOMMON_FOUND)
  target_link_libraries(tuxmath ${T4KCOMMON_LIBRARY})
endif ()

if (APPLE)
  # The following seems to be needed to compile under 10.5
  set_target_properties(tuxmath tuxmathadmin
    PROPERTIES
    LINK_FLAGS "-mmacosx-version-min=10.4")
endif(APPLE)

if (ICONV_FOUND)
  set(ICONV_TEMP ${ICONV_LIBRARIES})
  message("Linking iconv: ${ICONV_TEMP}")
endif()
if (TUXMATH_BUILD_INTL)
  target_link_libraries(tuxmath ${ICONV_TEMP} libintl.a)
endif(TUXMATH_BUILD_INTL)


set_target_properties (
  tuxmathadmin
  PROPERTIES COMPILE_FLAGS 
  "-DDATA_PREFIX=\\\"${TUXMATH_DATA_PREFIX}\\\" -DVERSION=\\\"${TUXMATHADMIN_VERSION}\\\" -DLOCALEDIR=\\\"${LOCALE_DIR}\\\" -DPACKAGE=\\\"tuxmathadmin\\\""
  )

## Installation specifications
if (UNIX AND NOT APPLE)
  install (TARGETS tuxmath tuxmathadmin
    RUNTIME DESTINATION bin)
endif(UNIX AND NOT APPLE)

=== debian/changelog ===
tuxmath (2.0.3-2) unstable; urgency=medium

  * debian/control:
    - Reformatted by 'cme fix dpkg'.
    - Bump Standards-Version to 4.1.1, no changes needed.
    - Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~ and
      remove build-dependency on dh-autoreconf.
    - Drop alternative dependency on ttf-sil-andika as that's already a
      transitional package in oldoldstable.
    - Replace suggests on ttf-wqy-zenhei | ttf-arphic-uming with ones on
      fonts-wqy-zenhei | fonts-arphic-uming for the same reason.
    - Drop Breaks and Replaces on tuxmath (<< 2.0.3) as that version is part
      of oldstable already.
  * debian/rules: call dh without --no-parallel and without
    "--with autoreconf" as debhelper compat 10 does those by default.

 -- Holger Levsen <holger@debian.org>  Sat, 30 Sep 2017 01:15:45 +0200

tuxmath (2.0.3-1) unstable; urgency=low

  * New upstream release [May 2011] (Closes: #692729).
  * Build-Depends:
    + libt4k-common0-dev
    - hardening-wrapper
    + dh-autoreconf
  * Arch-independent files are separated to new "tuxmath-data" package.
  * Standards to 3.9.5.
  * Source to "3.0 (quilt)" format.
  * Compat to version 9 + debian/rules rewrite.
  * Build with "--as-needed" to minimise needless linking.
  * Install game binaries to "/usr/lib/tuxmath" and provide
    "/usr/games/tuxmath" symlink.
  * Added "debian/watch" file.
  * "debian/copyright: to copyright-format-1.0 + audit.
  * Updated man page and introduced target to invoke `help2man`.
  * Removed unnecessary versioned dependencies.
  * xz compression for source archive and binary (.deb) packages.
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 03 Dec 2013 03:11:38 +1100

tuxmath (1.8.0-5) unstable; urgency=low

  * debian/rules: Build debhelper 9 style using hardening-wrapper.
  * debian/control:
    - Raise Build-Depends: to debhelper (>=9.20120909~) and add
      hardening-wrapper to it.
    - Bump standards version to 3.9.4.
    - Fix VCS-Browser URL.

 -- Holger Levsen <holger@debian.org>  Tue, 28 May 2013 23:50:54 +0200

tuxmath (1.8.0-4) unstable; urgency=low

  * debian/control:
    - update Vcs-Headers as tuxmath is now maintained in git. 
    - bump standards version to 3.9.2, no changes needed.
    - depend on either fonts-sil-andika or ttf-sil-andika (Closes: #647532).
      (To ease backporting.)
  * debian/copyright: mention location of upstream GIT repository, instead of
    svn.

 -- Holger Levsen <holger@debian.org>  Thu, 22 Dec 2011 19:39:06 +0100

tuxmath (1.8.0-3) unstable; urgency=low

  * debian/menu: move to section Applications/Education. 

 -- Holger Levsen <holger@debian.org>  Mon, 21 Jun 2010 21:24:59 +0200

tuxmath (1.8.0-2) unstable; urgency=low

  * Make debian menu use the .xpm icon. 

 -- Holger Levsen <holger@debian.org>  Wed, 19 May 2010 14:07:08 +0200

tuxmath (1.8.0-1) unstable; urgency=low

  * New upstream release, featuring scalable vector graphics and support
    for multiplayer competition plus new translations to Asturian, Kurdish, 
    Slovenian and Vietnamese.
  * Add librsvg2-dev and libsdl-net1.2-dev to build-depends.
  * Add ${misc:Depends} to depends.
  * Use upstream SVG icon. (Closes: #531136)
  * Use upstream .desktop file. (Closes: #531137)
  * Bump standards version to 3.8.4, no changes needed.
  * Provide source/format and set it to 1.0.

 -- Holger Levsen <holger@debian.org>  Thu, 13 May 2010 10:57:27 +0200

tuxmath (1.7.2-1) unstable; urgency=low

  * New upstream version, with several bugfixes, new translations and lots of 
    other improvements: a new "Campaign Mode" featuring an overall story line,
    a new game activity, "Factoroids", teaching factorization and reduction of
    fractions, a more flexible engine for generating questions and an improved 
    fullscreen which now uses the native resolution. 
  * For a complete list, see the upstream changelog.
  * Drop debian/patches/100-ttf-sil-andika.patch and build dependency on
    quilt, as it was the only patch. 
  * Remove no-op dh_desktop from debian/rules. 
  * Bump Standards-version to 3.8.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sat, 09 May 2009 16:35:13 +0200

tuxmath (1.6.3-3) unstable; urgency=low

  * Bump Standards-version to 3.8.0, no changes needed.
  * Add quilt to build-depends.
  * Patch the source to use 1.0 basic release of the ttf-sil-andika fonts and
    not the "design review" version.
  * Add information about AndikaDesRevG.ttf which is included in the upstream
    tarball and therefore in the debian source package to debian/copyright.

 -- Holger Levsen <holger@debian.org>  Wed, 25 Jun 2008 20:31:15 +0000

tuxmath (1.6.3-2) unstable; urgency=low

  * Add suggests to ttf-wqy-zenhei and remove suggests to ttf-arphic-ukai as
    suggested by native speakers.

 -- Holger Levsen <holger@debian.org>  Wed, 18 Jun 2008 10:18:36 +0000

tuxmath (1.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #479855) with 16 new translations, making it
    23 translations in total!

 -- Holger Levsen <holger@debian.org>  Tue, 17 Jun 2008 15:02:28 +0000

tuxmath (1.6.1-1) unstable; urgency=low

  * new upstream version which adds French and Dutch translations as well as a
    new login system to keep track of individual student progress
  * updated to comply with policy 3.7.3.0
  * debian/copyright: remove a bogus line and clarify GPL-2 licence
  * increased debhelper compat level to 5
  * use dh_install as intended (with debian/tuxmath.install)
  * use dh_installdoc as intended (with debian/tuxmath.docs)
  * only call "make clean" if Makefile exits

 -- Holger Levsen <holger@debian.org>  Mon, 11 Feb 2008 18:50:54 +0100

tuxmath (1.5.8-2) unstable; urgency=low

  * add depends to ttf-sil-andika

 -- Holger Levsen <holger@debian.org>  Sun, 18 Nov 2007 20:02:34 +0100

tuxmath (1.5.8-1) unstable; urgency=low

  * new upstream version with many bugfixes, localisation, new icons, a new


=== debian/control ===
Source: tuxmath
Maintainer: Holger Levsen <holger@debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper (>= 10.2.5~),
               librsvg2-dev,
               libsdl1.2-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libsdl-net1.2-dev,
               libsdl-pango-dev,
               libsdl-ttf2.0-dev,
               libx11-6,
               libxext6,
               libt4k-common0-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/tux4kids/tuxmath.git
Vcs-Git: git://anonscm.debian.org/tux4kids/tuxmath.git
Homepage: http://tux4kids.alioth.debian.org

Package: tuxmath
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         tuxmath-data (= ${source:Version})
Description: math game for kids with Tux
 "Tux, of Math Command" ("TuxMath," for short) is an
 educational arcade game starring Tux, the Linux mascot!
 Based on the classic arcade game "Missile Command," Tux
 must defend his cities. In this case, though, he must do
 it by solving math problems.

Package: tuxmath-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         fonts-sil-andika
Suggests: fonts-wqy-zenhei | fonts-arphic-uming
Description: math game for kids with Tux -- data files
 "Tux, of Math Command" ("TuxMath," for short) is an
 educational arcade game starring Tux, the Linux mascot!
 Based on the classic arcade game "Missile Command," Tux
 must defend his cities. In this case, though, he must do
 it by solving math problems.
 .
 This package provides arch-independent data files.

=== debian/rules ===
#! /usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG=tuxmath

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
                          --host=$(DEB_HOST_GNU_TYPE) \
                          --build=$(DEB_BUILD_GNU_TYPE) \
                          --prefix=/usr \
                          --mandir=\$${prefix}/share/man \
                          --infodir=\$${prefix}/share/info \
                          --bindir=\$${prefix}/lib/tuxmath

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install -X*.ico -X*.icns

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog

override_dh_builddeb:
	dh_builddeb -- -Zxz

MAN_NAME=a math game for kids with Tux
tuxmath.6:
	help2man --no-discard-stderr --no-info --name="$(MAN_NAME)" src/tuxmath > $@
	perl -0 \
             -E 's{\s+(It was generated by help2man)}{ $$1};      # correct help2man comment'                  \
             -E 's{^Tux,}{$(MAN_NAME)};                           # correct DESCRIPTION section'               \
             -E 's{^\.PP\s*Run the game with:}{\n.SH OPTIONS}sm;  # create OPTIONS section'                    \
             -E 's{^(\\fB\\-\\-)}{.TP\n$$1}mg;                    # prepend each option with .TP'              \
             -E 's{\\fR(?:\s\w+)?\K\s*\\-\s*}{\n}mg;              # separate options and their descriptions'   \
             -E 's{^.IP\s*(?!\\)}{}smg;                           # merge short lines'                         \
             -E 's{^([a-z\\-]+:\s)}{    $$1}mg;                   # pad list elements'                         \
             -E 's{^\.PP\s*\.TP}{.TP}mg;                          # clean-up redundant .PP before .TP'         \
          -pi $@

=== debian/watch ===
version=3

# devscripts/uscan [2.12.6, 2.13.2] are affected by #712261: "406 Not Acceptable"

 http://alioth.debian.org/frs/?group_id=31080 \
  .*/tuxmath_w_fonts-([0-9.]+)\.tar\.(?:gz|bz2|xz)
